#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 17. Networking Libraries

- Prev

  GeoClue-2.6.0

- Next

  kdsoap-2.0.0

- Up
- Home

# glib-networking-2.70.1

## Introduction to GLib Networking

The GLib Networking package contains Network related gio modules for GLib.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/glib-networking/2.70/glib-networking-2.70.1.tar.xz

- Download MD5 sum: c408bcfaea4ad3dea7a18f34574231b2

- Download size: 256 KB

- Estimated disk space required: 6.7 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

### GLib Networking Dependencies

#### Required

GLib-2.70.4 and GnuTLS-3.7.3

#### Recommended

gsettings-desktop-schemas-41.0 (for the applications using this package to use proxy server settings in GNOME) and make-ca-1.10

#### Optional

libproxy

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/glib-networking

## Installation of GLib Networking

Install GLib Networking by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr       \
          --buildtype=release &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

## Contents

Installed Program: None
Installed Libraries: libgiognomeproxy.so and libgiognutls.so (GIO Modules installed in `/usr/lib/gio/modules`)
Installed Directories: None

Last updated on

- Prev

  GeoClue-2.6.0

- Next

  kdsoap-2.0.0

- Up
- Home